org.gjt.sp.jedit

## Class SettingsXML.Saver

- java.lang.Object
- - java.io.Writer
  - - java.io.BufferedWriter
    - - org.gjt.sp.jedit.SettingsXML.Saver

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable
  Enclosing class:
    SettingsXML

      public class SettingsXML.Saver
      extends java.io.BufferedWriter

  A Writer to write XML for saving. The real settings file is not changed until the finish() method succeeds, in which case the previous settings file is backuped.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish()` Perform the final step of saving.
    `void` | `writeXMLDeclaration()` Write the XML 1.0 declaration.
    `void` | `writeXMLDeclaration(java.lang.String version)` Write the XML declaration of a specific version.

    - ### Methods inherited from class java.io.BufferedWriter

      `close, flush, newLine, write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeXMLDeclaration

          public void writeXMLDeclaration()
                                   throws java.io.IOException

      Write the XML 1.0 declaration. This should be the first output.
      Throws:
        `java.io.IOException`

    - #### writeXMLDeclaration

          public void writeXMLDeclaration(java.lang.String version)
                                   throws java.io.IOException

      Write the XML declaration of a specific version. This should be the first output.
      Throws:
        `java.io.IOException`

    - #### finish

          public void finish()
                      throws java.io.IOException

      Perform the final step of saving.
      Throws:
        `java.io.IOException`